﻿/*
 
Celerity: Sensory Overload
Copright 2012 by Adam Hill, David Gannon, Thomas Tamblyn & Patrick Ytting
Contact: adam.hill@outlook.com
Website: adamhill.org
Licence: MS-Pl Licence
  
 */

using Celerity.Data;
using Microsoft.Xna.Framework;

namespace Celerity
{
    public static class CeleritySettings
    {
        // TODO: Make TestMode False before deploy
        public static bool TestMode = false;

        // Content
        public const string ContentRootDirectory = "Content";
        public const float PlayerShipRotationOffsetInDegrees = 90f;
        public const float PlayerShipScale = 0.016f; //0.08f;
        // Audio
        // TODO: Make PlayMusic True before deploy
        public static bool PlayMusic = true;

        // Window
        public static string WindowTitle = "Celerity: Sensory Overload";

        // TODO: Make DeviceClearColour Color.Black before deploy
        public static Color DeviceClearColour = Color.Black;
        public static int WindowWidth = 1600;
        public static int WindowHeight = 900;

        // TODO: Make OverrideWindowSize False before deploy
        public static bool OverrideWindowSize = false;

        // TODO: Make IsFullScreen True before deploy
        public static bool IsFullScreen = true;

        // CV
        public static bool DisplayCameraFeed = false;
        public static int CameraTestDelayMs = 1500; // How long before we see if they plugged in their camera again
        public static int CameraPollDelayFullFPS = 34;
        public static int CameraPollDelayLowFPS = (int)(1000f / 8f);
        public static float SensorClampAngle = 9f;

        // Sensors
        public static bool HasInclinometer = false;
        public static bool HasGamepad = false;

        // Game Logic
        public static GameState StartingGameState = GameState.Menu;
        public static MenuState StartingMenuState = MenuState.MainMenu;
        public static CameraState StartingCameraState = CameraState.NoCamera;
    }
}