﻿/*
 
Celerity: Sensory Overload
Copright 2012 by Adam Hill, David Gannon, Thomas Tamblyn & Patrick Ytting
Contact: adam.hill@outlook.com
Website: adamhill.org
Licence: MS-Pl Licence
  
 */

using Celerity.ColourPalette;
using Celerity.Content;
using Celerity.Data;
using Celerity.Entities;
using System.Collections.Generic;

namespace Celerity.UI.Definition.Controls
{
    public class AboutPageTitleControl : UIEntity
    {
        public override void ConfigureSelf()
        {
            DrawCondition = new UIDrawCondition
            {
                CheckGameState = true,
                CheckedGameStates = new List<GameState>
                        {
                            GameState.Menu
                        },
                CheckMenuState = true,
                CheckedMenuStates = new List<MenuState>
                        {
                            MenuState.About
                        },
            };
            Items = new List<UIEntityItem>
                    {
                        new UIEntityItem // About Devs Title text
                        {
                            Size = this.Size,
                            Offset = this.Offset + UIGeometry.TitleOffset,
                            Font = FontLibrary.Heading,
                            FontColorDefault = Palette.Black,
                            FontColorPressed = Palette.Black,
                            Text = ResxText.AboutPageTitle,
                        },
                    };
        }
    }
}
