﻿/*
 
Celerity: Sensory Overload
Copright 2012 by Adam Hill, David Gannon, Thomas Tamblyn & Patrick Ytting
Contact: adam.hill@outlook.com
Website: adamhill.org
Licence: MS-Pl Licence
  
 */

using Celerity.ColourPalette;
using Celerity.Content;
using Celerity.Data;
using Celerity.Entities;
using Microsoft.Xna.Framework;
using System.Collections.Generic;

namespace Celerity.UI.Definition.Controls
{
    public class PopupCameraFpsSlowControl : UIEntity
    {
        public override void ConfigureSelf()
        {
            IsPressable = true;
            DrawCondition = new UIDrawCondition
            {
                CheckGameState = true,
                CheckedGameStates = new List<GameState>
                        {
                            GameState.Menu
                        },
                CheckMenuState = true,
                CheckedMenuStates = new List<MenuState>
                        {
                            MenuState.MainMenu
                        },
                CheckCameraState = true,
                CheckedCameraStates = new List<CameraState>
                        {
                            CameraState.FullFPS,
                            CameraState.LowFPS,
                            CameraState.Override
                        },
            };
            Items = new List<UIEntityItem>
                    {
                        new UIEntityItem // Calibrator Border
                        {
                            Size = this.Size,
                            Offset = this.Offset,
                            ImageDefault = ImageLibrary.TextureAccent,
                            ImagePressed = ImageLibrary.TextureAccentPressed,
                        },

                        new UIEntityItem // IsSelected Underline
                        {
                            DrawCondition = new UIDrawCondition
                            {
                                CheckCameraState = true,
                                CheckedCameraStates = new List<CameraState>
                                {
                                    CameraState.LowFPS
                                }
                            },
                            Size = new Vector2(80, 3),
                            Offset = this.Offset + new Vector2(15, 60),
                            ImageDefault = ImageLibrary.TextureWhite,
                            ImagePressed = ImageLibrary.TextureWhite,
                        },

                        new UIEntityItem // Title Fast
                        {
                            ApplyCentring = true,
                            Size = this.Size,
                            Offset = this.Offset,// + new Vector2(0, 1f * lineHeight),
                            Font = FontLibrary.Light,
                            FontColorDefault = Palette.White,
                            FontColorPressed = Palette.White,
                            Text = ResxText.CameraFpsSlow
                        },

                    };
        }
    }
}
