﻿/*
 
Celerity: Sensory Overload
Copright 2012 by Adam Hill, David Gannon, Thomas Tamblyn & Patrick Ytting
Contact: adam.hill@outlook.com
Website: adamhill.org
Licence: MS-Pl Licence
  
 */

using Celerity.ColourPalette;
using Celerity.Content;
using Celerity.Data;
using Celerity.Entities;
using Microsoft.Xna.Framework;
using System.Collections.Generic;

namespace Celerity.UI.Definition.Controls
{
    public class IconBackControl : UIEntity
    {
        public override void ConfigureSelf()
        {
            IsPressable = true;
            DrawCondition = new UIDrawCondition
            {
                CheckGameState = true,
                CheckedGameStates = new List<GameState>
                        {
                            GameState.InGame,
                            GameState.GameOver
                        }
            };
            Items = new List<UIEntityItem>
                    {
                        new UIEntityItem // Background
                        {
                            Size = this.Size,
                            Offset = this.Offset,
                            ImageDefault = ImageLibrary.TextureGrey,
                            ImagePressed = ImageLibrary.TextureGrey,
                        },
                        new UIEntityItem // Back icon
                        {
                            Size = this.Size + new Vector2(-20, -40),
                            Offset = this.Offset + new Vector2(10, 0),
                            ImageDefault = ImageLibrary.IconBack,
                            ImagePressed = ImageLibrary.IconBackPressed,
                        },
                        new UIEntityItem // Back Text
                        {
                            Size = this.Size,
                            Offset = this.Offset + UIGeometry.IconTextOffset,
                            Font = FontLibrary.Standard,
                            FontColorDefault = Palette.Black,
                            FontColorPressed = Palette.Accent,
                            Text = ResxText.Back,
                            ApplyCentring = true
                        },
                    };
        }
    }
}
