﻿/*
 
Celerity: Sensory Overload
Copright 2012 by Adam Hill, David Gannon, Thomas Tamblyn & Patrick Ytting
Contact: adam.hill@outlook.com
Website: adamhill.org
Licence: MS-Pl Licence
  
 */

using Celerity.ColourPalette;
using Celerity.Content;
using Celerity.Data;
using Celerity.Entities;
using System.Collections.Generic;

namespace Celerity.UI.Definition.Controls
{
    public class InGameScoreControl : UIEntity
    {
        public override void ConfigureSelf()
        {
            DrawCondition = new UIDrawCondition
            {
                CheckGameState = true,
                CheckedGameStates = new List<GameState>
                        {
                            GameState.InGame,
                            GameState.GameOver
                        },
            };
            Items = new List<UIEntityItem>
                    {
                        new UIEntityItem // Background
                        {
                            Size = this.Size,
                            Offset = this.Offset,// + new Microsoft.Xna.Framework.Vector2(25, 0),
                            ImageDefault = ImageLibrary.TextureGrey,
                            ImagePressed = ImageLibrary.TextureGrey,
                        },
                        new UIEntityItem // Score text
                        {
                            Size = this.Size,// + new Vector2(-25, 0),
                            Offset = this.Offset,
                            Font = FontLibrary.Light,
                            FontColorDefault = Palette.White,
                            FontColorPressed = Palette.White,
                            //Text = ResxText.Instructions,
                            ApplyCentring = true,
                            //ApplyRightAlign = true,
                            IsDynamicScore = true
                        },
                    };
        }
    }
}
