﻿/*
 
Celerity: Sensory Overload
Copright 2012 by Adam Hill, David Gannon, Thomas Tamblyn & Patrick Ytting
Contact: adam.hill@outlook.com
Website: adamhill.org
Licence: MS-Pl Licence
  
 */

using Celerity.Content;
using Celerity.Data;
using Celerity.Entities;
using System.Collections.Generic;

namespace Celerity.UI.Definition.Controls
{
    public class PopupCalibratorControl : UIEntity
    {
        public override void ConfigureSelf()
        {
            DrawCondition = new UIDrawCondition
            {
                CheckGameState = true,
                CheckedGameStates = new List<GameState>
                        {
                            GameState.Menu
                        },
                CheckMenuState = true,
                CheckedMenuStates = new List<MenuState>
                        {
                            MenuState.MainMenu
                        },
                //CheckCameraState = true,
                //CheckedCameraStates = new List<CameraState>
                //        {
                //            CameraState.FullFPS,
                //            CameraState.FullFPS
                //        },
            };
            Items = new List<UIEntityItem>
                    {
                        new UIEntityItem // Calibrator Border
                        {
                            Size = this.Size,
                            Offset = this.Offset,
                            ImageDefault = ImageLibrary.CalibratorBorder,
                            ImagePressed = ImageLibrary.CalibratorBorder,
                        },
                        new UIEntityItem // Calibrator Cross Hairs
                        {
                            Size = this.Size,
                            Offset = this.Offset,
                            ImageDefault = ImageLibrary.CalibratorCrossHairs,
                            ImagePressed = ImageLibrary.CalibratorCrossHairs,
                        },
                        new UIEntityItem // Calibrator Target
                        {
                            Size = this.Size,
                            Offset = this.Offset,
                            ImageDefault = ImageLibrary.CalibratorTarget,
                            ImagePressed = ImageLibrary.CalibratorTarget,
                        },
                    };
        }
    }
}
