﻿/*
 
Celerity: Sensory Overload
Copright 2012 by Adam Hill, David Gannon, Thomas Tamblyn & Patrick Ytting
Contact: adam.hill@outlook.com
Website: adamhill.org
Licence: MS-Pl Licence
  
 */

using Celerity.ColourPalette;
using Celerity.Content;
using Celerity.Data;
using Celerity.Entities;
using Microsoft.Xna.Framework;
using System.Collections.Generic;

namespace Celerity.UI.Definition.Controls
{
    public class PopupCameraFpsControl : UIEntity
    {
        public override void ConfigureSelf()
        {
            float lineHeight = 22f;

            DrawCondition = new UIDrawCondition
            {
                CheckGameState = true,
                CheckedGameStates = new List<GameState>
                        {
                            GameState.Menu
                        },
                CheckMenuState = true,
                CheckedMenuStates = new List<MenuState>
                        {
                            MenuState.MainMenu
                        },
                //CheckCameraState = true,
                //CheckedCameraStates = new List<CameraState>
                //        {
                //            CameraState.NoCamera
                //        },
            };
            Items = new List<UIEntityItem>
                    {
                        new UIEntityItem // Calibrator Border
                        {
                            Size = this.Size,
                            Offset = this.Offset,
                            ImageDefault = ImageLibrary.TextureGrey,
                            ImagePressed = ImageLibrary.TextureGrey,
                        },

                        //new UIEntityItem // Title Text
                        //{
                        //    ApplyCentring = true,
                        //    Size = this.Size,
                        //    Offset = this.Offset,// + UIGeometry.PanelTextOffset,
                        //    Font = FontLibrary.PanelLabelFont,
                        //    FontColorDefault = Palette.White,
                        //    FontColorPressed = Palette.White,
                        //    Text = ResxText.CameraFpsTitle
                        //},

                        new UIEntityItem // Title Instructions
                        {
                            ApplyCentring = true,
                            Size = this.Size,
                            Offset = this.Offset,// + new Vector2(0, 1f * lineHeight),
                            Font = FontLibrary.Heading,
                            FontColorDefault = Palette.White,
                            FontColorPressed = Palette.White,
                            Text = ResxText.CameraFpsInstructions
                        },
                        new UIEntityItem // Title Warning
                        {
                            DrawCondition = new UIDrawCondition
                            {
                                CheckCameraState = true,
                                CheckedCameraStates = new List<CameraState>
                                {
                            CameraState.FullFPS,
                            CameraState.LowFPS,
                            CameraState.Override
                                }
                            },
                            ApplyCentring = true,
                            Size = this.Size,
                            Offset = this.Offset + new Vector2(0, 11f * lineHeight),
                            Font = FontLibrary.Heading,
                            FontColorDefault = Palette.White,
                            FontColorPressed = Palette.White,
                            Text = ResxText.CameraFpsWarning
                        },
                        new UIEntityItem // Title Warning
                        {
                            DrawCondition = new UIDrawCondition
                            {
                                CheckCameraState = true,
                                CheckedCameraStates = new List<CameraState>
                                {
                            CameraState.FullFPS,
                            CameraState.LowFPS,
                            CameraState.Override
                                }
                            },
                            ApplyCentring = true,
                            Size = this.Size,
                            Offset = this.Offset + new Vector2(-1, 11f * lineHeight - 1),
                            Font = FontLibrary.Heading,
                            FontColorDefault = Palette.SecondaryAccent,
                            FontColorPressed = Palette.SecondaryAccent,
                            Text = ResxText.CameraFpsWarning
                        },


                        new UIEntityItem // No Webcam Icon
                        {
                            Size = new Vector2(200, 350),//this.Size,
                            Offset = this.Offset + new Vector2(180, 90),
                            ImageDefault = ImageLibrary.ControlsIconNoWebcam,
                            ImagePressed = ImageLibrary.ControlsIconNoWebcam,
                            DrawCondition = new UIDrawCondition
                            {
                                CheckCameraState = true,
                                CheckedCameraStates = new List<CameraState>
                                {
                                    CameraState.NoCamera
                                }
                            }
                        },
                        new UIEntityItem // Title CameraFpsNoCamera
                        {
                            DrawCondition = new UIDrawCondition
                            {
                                CheckCameraState = true,
                                CheckedCameraStates = new List<CameraState>
                                {
                                    CameraState.NoCamera
                                }
                            },
                            ApplyCentring = true,
                            Size = this.Size,
                            Offset = this.Offset + new Vector2(0, 10f * lineHeight),
                            Font = FontLibrary.Heading,
                            FontColorDefault = Palette.White,
                            FontColorPressed = Palette.White,
                            Text = ResxText.CameraFpsNoCameraLine1
                        },
                        new UIEntityItem // Title CameraFpsNoCamera
                        {
                            DrawCondition = new UIDrawCondition
                            {
                                CheckCameraState = true,
                                CheckedCameraStates = new List<CameraState>
                                {
                                    CameraState.NoCamera
                                }
                            },
                            ApplyCentring = true,
                            Size = this.Size,
                            Offset = this.Offset + new Vector2(-1, 10f * lineHeight - 1),
                            Font = FontLibrary.Heading,
                            FontColorDefault = Palette.SecondaryAccent,
                            FontColorPressed = Palette.SecondaryAccent,
                            Text = ResxText.CameraFpsNoCameraLine1
                        },
                        new UIEntityItem // Title CameraFpsNoCamera
                        {
                            DrawCondition = new UIDrawCondition
                            {
                                CheckCameraState = true,
                                CheckedCameraStates = new List<CameraState>
                                {
                                    CameraState.NoCamera
                                }
                            },
                            ApplyCentring = true,
                            Size = this.Size,
                            Offset = this.Offset + new Vector2(0, 14f * lineHeight),
                            Font = FontLibrary.Heading,
                            FontColorDefault = Palette.White,
                            FontColorPressed = Palette.White,
                            Text = ResxText.CameraFpsNoCameraLine2
                        },
                        new UIEntityItem // Title CameraFpsWarningText
                        {
                            DrawCondition = new UIDrawCondition
                            {
                                CheckCameraState = true,
                                CheckedCameraStates = new List<CameraState>
                                {
                                    CameraState.FullFPS,
                                    CameraState.LowFPS,
                                    CameraState.Override
                                }
                            },
                            ApplyCentring = true,
                            Size = this.Size,
                            Offset = this.Offset + new Vector2(0, 13f * lineHeight),
                            Font = FontLibrary.Standard,
                            FontColorDefault = Palette.White,
                            FontColorPressed = Palette.White,
                            Text = ResxText.CameraFpsWarningText
                        },

                    };
        }
    }
}
