﻿/*
 
Celerity: Sensory Overload
Copright 2012 by Adam Hill, David Gannon, Thomas Tamblyn & Patrick Ytting
Contact: adam.hill@outlook.com
Website: adamhill.org
Licence: MS-Pl Licence
  
 */

using Celerity.ColourPalette;
using Celerity.Content;
using Celerity.Data;
using Celerity.Entities;
using System.Collections.Generic;

namespace Celerity.UI.Definition.Controls
{
    public class PopupGameOverControl : UIEntity
    {
        public override void ConfigureSelf()
        {
            DrawCondition = new UIDrawCondition
            {
                CheckGameState = true,
                CheckedGameStates = new List<GameState>
                        {
                            GameState.GameOver
                        },
            };
            Items = new List<UIEntityItem>
                    {
                        new UIEntityItem // Background
                        {
                            Size = this.Size,
                            Offset = this.Offset,
                            ImageDefault = ImageLibrary.TextureGrey,
                            ImagePressed = ImageLibrary.TextureAccentPressed,
                        },
                        new UIEntityItem // Face icon
                        {
                            Size = this.Size,
                            Offset = this.Offset,
                            ImageDefault = ImageLibrary.GameOverFace,
                            ImagePressed = ImageLibrary.GameOverFace
                        },
                        new UIEntityItem // GameOver text
                        {
                            Size = this.Size,
                            Offset = this.Offset + UIGeometry.PopupTextOffset,
                            Font = FontLibrary.Light,
                            FontColorDefault = Palette.White,
                            FontColorPressed = Palette.White,
                            Text = ResxText.GameOver,
                            ApplyCentring = true
                        },
                    };
        }
    }
}
