﻿/*
 
Celerity: Sensory Overload
Copright 2012 by Adam Hill, David Gannon, Thomas Tamblyn & Patrick Ytting
Contact: adam.hill@outlook.com
Website: adamhill.org
Licence: MS-Pl Licence
  
 */

using Celerity.Logic;
using Celerity.UI.Definition;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using System;

namespace Celerity.UI
{
    public partial class UILayer
    {
        // Public Events
        public event EventHandler OnClose;

        // FPS
        int updateCounter;
        int drawCounter;
        Vector2 fpsTextPos;
        string fpsText = string.Empty;

        // Input
        Vector2 mouse;

        // Webcam Calibrator
        Rectangle calibratorFaceBlob;

        // Modules & Libraries
        SpriteBatch spriteBatch;

        // UI Controls
        UIGeometry coords;
        UIControlHierarchy controls;

        // Audio
        GameLogic logic;

        public UILayer(GameLogic logic)
        {
            this.logic = logic;
            mouse = Vector2.Zero;

            // Controls
            coords = new UIGeometry();
            controls = new UIControlHierarchy();

            // Stats
            updateCounter = 0;
            drawCounter = 0;
        }
    }
}
