float4x4 World;
float4x4 View;
float4x4 Projection;

struct VertexShaderInput
{
    float4 Position : POSITION0;
	float4 Colour : COLOR0;
};

struct VertexShaderOutput
{
    float4 Position : POSITION0;
	float4 Colour : COLOR0;
};

VertexShaderOutput VertexShaderFunction(VertexShaderInput input)
{
    VertexShaderOutput output;

    float4 worldPosition = mul(input.Position, World);
    float4 viewPosition = mul(worldPosition, View);
    output.Position = mul(viewPosition, Projection);
	output.Colour = input.Colour;

    return output;
}

float4 PixelShaderFunction(VertexShaderOutput input) : COLOR0
{
    return float4(input.Colour.r * input.Colour.a, input.Colour.g * input.Colour.a, input.Colour.b * input.Colour.a, input.Colour.a);
}

technique Technique1
{
    pass Pass1
    {
	    ZENABLE = TRUE;
        ZWRITEENABLE = TRUE;
        CULLMODE = NONE;
        VertexShader = compile vs_2_0 VertexShaderFunction();
        PixelShader = compile ps_2_0 PixelShaderFunction();
    }
}
